### Signal

# Gtk SpinButton::output

since: 4.0

#### Declaration

    gboolean
    output (
      GtkSpinButton* self,
      gpointer user_data
    )

#### Description [src]

Emitted to tweak the formatting of the value for display.

    // show leading zeros
    static gboolean
    on_output (GtkSpinButton *spin,
               gpointer       data)
    {
       char *text;
       int value;

       value = gtk_spin_button_get_value_as_int (spin);
       text = g_strdup_printf ("%02d", value);
       gtk_editable_set_text (GTK_EDITABLE (spin), text):
       g_free (text);

       return TRUE;
    }

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Return value

Type: `gboolean`

`TRUE` if the value has been displayed.